Subject: bug#64943: feature request: "--exclude-vcs-ignores" option

From: Sebastian Carlos <[email-masked]>
Date: Sun, 30 Jul 2023 07:50:50 +0200

Hello,

It would be nice to have an option to exclude the files specified in
VCS ignore files.

GNU tar already has this:

> ‘--exclude-vcs-ignores’
>      Exclude files that match patterns read from VCS-specific ignore
>      files.  Supported files are: ‘.cvsignore’, ‘.gitignore’,
>      ‘.bzrignore’, and ‘.hgignore’.  The semantics of each file is the
>      same as for the corresponding VCS, e.g.  patterns read from
>      ‘.gitignore’ affect the directory and all its subdirectories.

Thanks.